main:
  enabled: true

  ports:
    http: 5678

  config:
    n8n:
      basic_auth:
        active: true

  persistence:
    enabled: true
    type: dynamic
    storageClass: longhorn
    accessModes:
      - ReadWriteOnce
    size: 5Gi

  extraEnv:
    N8N_BASIC_AUTH_USER:
      valueFrom:
        secretKeyRef:
          name: n8n-secret
          key: BASIC_AUTH_USER
    N8N_BASIC_AUTH_PASSWORD:
      valueFrom:
        secretKeyRef:
          name: n8n-secret
          key: BASIC_AUTH_PASSWORD
    N8N_ENCRYPTION_KEY:
      valueFrom:
        secretKeyRef:
          name: n8n-secret
          key: ENCRYPTION_KEY
    N8N_HOST:
      value: "n8n.heckenfels.com"
    N8N_PROTOCOL:
      value: "https"
    N8N_PORT:
      value: "5678"
    WEBHOOK_URL:
      value: "https://n8n.heckenfels.com"

ingress:
  enabled: true
  className: traefik
  hosts:
    - host: n8n.heckenfels.com
      paths:
        - path: /
          pathType: Prefix
  tls: []

service:
  type: ClusterIP
  port: 80
